# Copyright (C) 2024 Manuel Bustillo

require 'swagger_helper'

RSpec.describe 'users/registrations', type: :request do

  path '/users' do
    post('create registration') do
      tags 'Users Registrations'
      consumes 'application/json'
      produces 'application/json'

      parameter name: :body, in: :body, schema: {
        type: :object,
        required: [:user],
        properties: {
          user: {
            type: :object,
            required: %i[email password password_confirmation],
            properties: {
              email: { type: :string, format: :email},
              password: SwaggerResponseHelper::PASSWORD,
              password_confirmation: SwaggerResponseHelper::PASSWORD
            }
          }
        }
      }

      response(201, 'created') do
        schema type: :object, properties: Swagger::Schema::USER
        xit
      end
    end
  end
end
