# Copyright (C) 2024 Manuel Bustillo

require 'swagger_helper'

RSpec.describe 'users/sessions', type: :request do

  path '/users/sign_in' do

    post('create session') do
      tags 'Users Sessions'
      consumes 'application/json'
      produces 'application/json'

      parameter name: :body, in: :body, schema: {
        type: :object,
        required: %i[user],
        properties: {
          user: {
            type: :object,
            required: %i[email password],
            properties: {
              email: { type: :string, format: :email },
              password: SwaggerResponseHelper::PASSWORD
            }
          }
        }
      }

      response(201, 'created') do
        schema type: :object, properties: Swagger::Schema::USER
        xit
      end

      response_401(message: 'Invalid Email or password.')
    end
  end

  path '/users/sign_out' do

    delete('delete session') do
      tags 'Users Sessions'
      consumes 'application/json'
      produces 'application/json'
      response(204, 'Session destroyed') do
        xit
      end
    end
  end
end
